<template>
  <div
    class="bottom"
    :class="bottomBg ? '' : bottomBgW ? 'bottomWhite' : 'bottomDark'"
  >
    <svg-icon
      iconClass="bottom_line"
      class="bottom_line"
      v-if="topLine"
    ></svg-icon>
    <div class="bottom_nav-warp" @click="changeBottomNav">
      <img
        src="../assets/images/bottom_nav.webp"
        class="bottom_nav"
        v-if="showBottomNav"
      />
    </div>
    <div class="bottom-side" v-if="showSilde">
      <svg-icon
        :iconClass="bottomBg ? 'ic_feng11' : 'ic_feng2'"
        class="ic_feng2"
        @click="changeBottomNav"
      ></svg-icon>
      <div class="bottom-font font-right">
        <div class="font1">22</div>
        <div class="font2">℃</div>
      </div>
    </div>
    <div class="bottom-mid">
      <svg-icon
        v-for="(item, index) in footer_icon_list"
        :key="item.iconName"
        :iconClass="item.iconName"
        :class="'ic_content' + (index + 1)"
        @click="handleIcon(index)"
      ></svg-icon>
    </div>
    <div class="bottom-side" v-if="showSilde">
      <div class="bottom-font font-left">
        <div class="font1">22</div>
        <div class="font2">℃</div>
      </div>
      <svg-icon
        :iconClass="bottomBg ? 'ic_feng12' : 'ic_feng1'"
        class="ic_feng1"
        @click="changeBottomNav"
      ></svg-icon>
    </div>
  </div>
</template>

<script>
import { mapState } from "vuex";
export default {
  name: "BydHaibaoFooter",
  props: {},
  data() {
    return {
      footer_icon_list: [
        {
          iconName: "ic_return",
        },
        {
          iconName: "ic_house",
        },
        {
          iconName: "ic_xin",
        },
        {
          iconName: "ic_turn",
        },
        {
          iconName: "ic_001",
        },
        {
          iconName: "ic_on",
        },
      ],
      showBottomNav: false,
    };
  },
  computed: {
    ...mapState("bottom", {
      topLine: (state) => state.topLine,
      showSilde: (state) => state.showSilde,
      bottomBg: (state) => state.bottomBg,
      bottomBgW: (state) => state.bottomBgW,
    }),
    ...mapState("home", {
      visible: (state) => state.musicDialogShow,
    }),
  },
  mounted() {},
  methods: {
    changeBottomNav() {
      this.showBottomNav = !this.showBottomNav;
    },
    handleIcon(index) {
      this.showBottomNav = false;
      this.$store.commit("bottom/changeIcon", index);
      this.$emit("subIndex", index);
      console.log(index);
      trackMdaEvent(
        "auto_common_event",
        {
          _post: true,
          biz: "auto",
          type: "click",
          action: "auto_media_detail_page_click",
          ctime: new Date().getTime(),
          element: "list",
          pmark: "分页",
          ekv: JSON.stringify({ seriesID: "6394" }),
        },
        { seriesID: "6394" }
      );
      if (index === 0) {
        if (this.$route.path === "/user_manual") {
          this.$router.push({
            path: "/setting",
            query: {
              activeId: 4,
              subActiveIdss: 1,
            },
          });
        } else if (this.$route.path === "/agreement") {
          this.$router.push('/setting')
        } else if (this.$route.path === "/cari") {
          console.log("cari");
          this.$router.push({
            path: "/setting",
            query: {
              activeId: 1,
              subActiveIds: 2,
            },
          });
        } else if (this.$route.path === "/beforeCharge") {
          this.$router.push({
            path: "/setting",
            query: {
              activeId: 2,
              subActiveIdsss: 1,
            },
          });
        } else {
          if (this.$route.path === "/kmusic") {
            this.$store.commit("home/changeMusicDialogShow", true);
            console.log(this.visible);
            return;
          }
          this.$router.push("/home");
        }
      } else if (index === 1) {
        this.$router.push("/home");
      } else if (index === 2) {
        this.$router.push("/backstage");
        this.$store.commit("bottom/changeTopLine", false);
        this.$store.commit("bottom/changeSilde", true);
      } else if (index === 4) {
        this.$router.push("/screen");
        this.$store.commit("bottom/changeTopLine", false);
        this.$store.commit("bottom/changeSilde", true);
        this.$store.commit("bottom/changeTopLine", false);
        this.$store.commit("bottom/changeBottomBgW", true);
        this.$store.commit("header/changeHeaderDark", true);
      }
    },
  },
};
</script>

<style lang="scss" scoped>
.bottom {
  height: 88px;
  width: 100%;
  background: #050505;
  position: absolute;
  bottom: 0;
  display: flex;
  align-items: center;
  box-sizing: border-box;
  padding: 0 74px 0 46px;
  justify-content: center;
  z-index: 2;
  .bottom_nav-warp {
    width: 100%;
    background: transparent;
    position: absolute;
    display: flex;
    justify-content: center;
    bottom: 115px;
    .bottom_nav {
      width: 1551px;
      height: auto;
    }
  }
  .bottom-side {
    display: flex;
    align-items: center;
    .ic_feng2 {
      width: 70px;
      height: 40px;
      margin-right: 8px;
    }
    .ic_feng1 {
      width: 70px;
      height: 40px;
      margin-left: 8px;
    }
    .font-right {
      margin-right: 240px;
    }
    .font-left {
      margin-left: 240px;
    }
  }
  .bottom-font {
    font-size: 48px;
    color: #ffffff;
    display: flex;
    align-items: flex-end;
    .font1 {
      margin-right: 3px;
      margin-top: 6px;
    }
    .font2 {
      font-size: 24px;
      line-height: 50px;
    }
  }
  .bottom-mid {
    display: flex;
    align-items: center;
    color: #ffffff;
    .ic_content1 {
      width: 44px;
      height: 34px;
      margin-right: 146px;
    }
    .ic_content2 {
      width: 44px;
      height: 37px;
      margin-right: 138px;
    }
    .ic_content3 {
      width: 38px;
      height: 37px;
      margin-right: 141px;
    }
    .ic_content4 {
      width: 49px;
      height: 50px;
      margin-right: 138px;
    }
    .ic_content5 {
      width: 42px;
      height: 37px;
      margin-right: 141px;
    }
    .ic_content6 {
      width: 46px;
      height: 36px;
    }
  }
}
.bottomDark {
  background: transparent;
  .bottom-font {
    color: #000;
  }
  .bottom-mid {
    color: #000;
  }
  .bottom_line {
    position: absolute;
    top: 0;
    width: 1382px;
    height: 21px;
  }
}
.bottomWhite {
  background: #ffffff;
  .bottom-font {
    color: #000;
  }
  .bottom-mid {
    color: #000;
  }
}
</style>
